I am trying to link statically psycopg2-2.0.13 to libpq.a on my mac os 10.5.5. The build goes fine and libpq is statically linked:
otool -L build/lib.macosx-10.3-i386-2.6/psycopg2/_psycopg.so
build/lib.macosx-10.3-i386-2.6/psycopg2/_psycopg.so:
/usr/lib/libssl.0.9.7.dylib (compatibility version 0.9.7, current version 0.9.7)
/usr/lib/libcrypto.0.9.7.dylib (compatibility version 0.9.7, current version 0.9.7)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 111.1.2)

But when I try to import psycopg2 I get:

Python 2.6.1 (r261:67515, Dec 6 2008, 10:32:39)
[GCC 4.0.1 (Apple Computer, Inc. build 5363)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
import psycopg2
Traceback (most recent call last):
File "<stdin>", line 1, in <module>
File "/tools/python-2.6.1/lib/python2.6/site-packages/psycopg2/__init__.py", line 60, in <module>
from _psycopg import BINARY, NUMBER, STRING, DATETIME, ROWID
ImportError: dlopen(/tools/python-2.6.1/lib/python2.6/site-packages/psycopg2/_psycopg.so, 2): Symbol not found: _error_message
Referenced from: /tools/python-2.6.1/lib/python2.6/site-packages/psycopg2/_psycopg.so
Expected in: dynamic lookup

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-general @
categoriespostgresql
postedFeb 3, '10 at 7:15p
activeFeb 3, '10 at 7:15p
posts1
users1
websitepostgresql.org
irc#postgresql

1 user in discussion

John blair: 1 post

People

Translate

site design / logo © 2022 Grokbase